    /**
     * Used by ZTA segments
     */
/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.common.builder.entity;

// Java Classes

// Library Classes

// Framework Classes

// Common Classes
import gov.va.med.esr.common.model.party.Phone;

// Messaging Classes

/**
 * @author Martin Francisco
 */
public interface PhoneMetaData
{
    public Phone getEntity();

    public void setEntity(Phone entity);

    public String getChangeSite();

    public String getChangeSource();    
    
    public String getChangeDate();   
    
    public String getPhoneNumber();
    
    public String getType();

    public String getTelecomUseCode(); 
    
    /**
     * Used by ZTA segments
     */
    public String getEndDate();

    /**
     * Used by ZTA segments
     */
    public String getStartDate();  
    
}